package pfc.bean;

import java.util.Vector;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

import pfc.BeanPeticioConsulta;

/** pfc.bean.ResultatBean
 * 
 * Representa l'arrel de l'XML de resultats
 * Conte dos atributs: la peticio i el resultat (vector amb les combinacions hotel+vol)
 * 
 */
@SuppressWarnings("unused")
@XmlRootElement(name="resultat")
public class ResultatBean {

	@XmlElement(name="peticio")
	private BeanPeticioConsulta beanPeticioConsulta;

	@XmlElementWrapper(name="combinacions")
	@XmlElement(name="combinacio")
	private Vector<CombinacioBean> vCombinacions;

	public ResultatBean() {	}

	public void setBeanPeticioConsulta(BeanPeticioConsulta beanPeticioConsulta) {
		this.beanPeticioConsulta = beanPeticioConsulta;
	}

	public void setvCombinacions(Vector<CombinacioBean> vCombinacions) {
		this.vCombinacions = vCombinacions;
	}

}