package pfc.bean.hotel;

import pfc.BeanPeticioConsulta;

/** pfc.bean.hotel.GetaroomBean
 * 
 * Item resultat de l'operador getaroom
 */
public class GetaroomBean extends HotelBean {

	//Descripcio (obligatori)
	private String descripcio = null;

	public GetaroomBean(BeanPeticioConsulta beanPeticioConsulta) {
		super(beanPeticioConsulta);
	}

	public float getPreu() {
		return Float.valueOf(preu.replace(",","."))*beanPeticioConsulta.getNits()*beanPeticioConsulta.getNumHabitacions(); 
	}

	protected String getDebugHTML() {
		StringBuffer sb = new StringBuffer();
		sb.append("<span>Descripcio: '" + this.descripcio + "'</span><br />");
		return sb.toString();
	}
	
	public String getHTML() {
		StringBuffer sb = new StringBuffer();
		sb.append("<div><span class=\"s0\"></span><span>L'hotel pot incloure impostos addicionals</span></div>");
		if (this.descripcio!=null) sb.append("<div><span class=\"s0\">descripcio</span><span>" + this.descripcio + "</span></div>");
		return sb.toString();
	}

	public String getNomOperador() {
		return "Get a room";
	}
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}
}