package pfc.exception;

/**
 * Mapeig d'errors relacionats amb peticions especfiques als wrappers
 *
 */
@SuppressWarnings("serial")
public class PeticioWrapperException extends Exception
{
	public final static String CIUTAT_NO_CONFIGURADA = "Ciutat '{0}' no permesa";
	
	//Existeixen operadors que limiten molt el rang de dates
	public final static String RANG_DATES = "Rang de dates no perms";

	//Limitacio maxima del nombre d'habitacions
	public final static String MAX_ROOM   = "Nombre d'habitacions excedit";
	
	//Limitacio maxima del nombre d'adults
	public final static String MAX_ADULTS = "Nombre d'adults excedit a qualque habitaci";
	
	//Limitacio maxima del nombre de nins
	public final static String MAX_NINS   = "Nombre de nins excedit a qualque habitaci";

	//Limitacions globals a la capacitat total
	public final static String MAX_TOTAL_ADULTS = "Nombre d'adults excedit a la capacitat total";
	public final static String MAX_TOTAL_NINS = "Nombre de nins excedit a la capacitat total";
	public final static String MAX_TOTAL_BEBES = "Nombre de bebes excedit a la capacitat total";
	public final static String MAX_TOTAL_CAPACITAT = "Capacitat mxima excedida";

	public PeticioWrapperException(String msg) {
		super(msg);
	}
	public PeticioWrapperException() {
		super("Error en la peticio al wrapper");
	}
}
