package pfc.wrapper.flight;

import pfc.exception.PeticioWrapperException;

/** pfc.wrapper.hote.WrapperFlight
*
* Wrapper generic per a tots els operadors de vols
*/
public abstract class WrapperFlight extends pfc.wrapper.Wrapper {

	public WrapperFlight(){
		super();
	}

	protected abstract String getCiutat(String ciutat) throws PeticioWrapperException;

	/**
	 * @param ciutat Ciutat de la qual es cerca l'aeroport
	 * @return
	 * @throws PeticioWrapperException
	 */
	protected String getParamAeroport(String ciutat) throws PeticioWrapperException {
		return pfc.conf.Ciutats.getAeroport(ciutat);
	}
}