<%@page import="java.util.Calendar,java.text.SimpleDateFormat,java.util.Locale;" pageEncoding="UTF-8" %>
<html>
	<head>
		<title>VTC - Search forms</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<script src="js/initSearchForm.js" type="text/javascript"></script>
		<style type="text/css">
			fieldset legend {
				font-size:20;
				font-family:Arial;
				font-style:italic;
				font-weight:bold;
			}
			.dText {
				width:60px;
				float: left;
			}
			.dText span {
				font-style:italic;
			}
			#fHabitacions .dText {
				width:225px;
			}
			#dHabitacions {
				margin-top: 10px;
			}
			#dHabitacions .dText {
				width:325px;
			}
			.dEdats {
				margin-bottom: 10px;
				margin-top: 5px;
			}
			.dEdats select {
				margin-right: 10px;
			}
			select.sCiutat {
				width:150px;
			}
			select.mes {
				text-transform:capitalize;
			}
			table#tError {
				width:100%;
				text-align:center;
			}
			table#tError td#tdError{
				width: 30%;
				text-align:center;
				border: solid 4px red;
			}
			#dSubmit {
				text-align:center;
				margin-top:10px;
			}
		</style>
	</head>
	<body>
		<% String error = (String)request.getAttribute("info_error"); %>
		<% if (error!=null) { %>
			<table id="tError" cellspacing="0" cellpadding="0">
				<tr>
					<td>&nbsp;</td>
					<td id="tdError"><% out.write(error); %></td>
					<td>&nbsp;</td>
				</tr>
			</table>
		<% } %>
		<form id="frm" action="cerca.jsp" method="post">
			<h1>Viatja en temps de Crisi: Cerca hotel + vol</h1>
			<fieldset id="fCiutats"><legend>Ciutats</legend><!-- 2 selects de ciutats espanyoles -->
				<div>
				<!--ciutats origen -->
				<div class="dText">Origen:</div>
				<div>
					<select id="origen" name="origen" class="sCiutat">
						<option value="Albacete">Albacete</option>
						<option value="Alicante">Alicante</option>
						<option value="Almería">Almer&iacute;a</option>
						<option value="Badajoz">Badajoz</option>
						<option value="Barcelona">Barcelona</option>
						<option value="Bilbao">Bilbao</option>
						<option value="Burgos">Burgos</option>
						<option value="Cordoba">C&oacute;rdoba</option>
						<option value="Girona">Girona</option>
						<option value="Granada">Granada</option>
						<option value="Huesca">Huesca</option>
						<option value="Ibiza">Ibiza</option>
						<option value="La Coruña">La Coruña</option>
						<option value="Las Palmas de Gran Canaria">Las Palmas de Gran Canaria</option>
						<option value="León>Le&oacute;n/option>
						<option value="Logroño>Logroño</option>
						<option value="Madrid">Madrid</option>
						<option value="Mahón">Mah&oacute;n</option>
						<option value="Murcia">Murcia</option>
						<option value="Málaga">M&aacute;laga</option>
						<option value="Oviedo">Oviedo</option>
						<option value="Palma de Mallorca">Palma de Mallorca</option>
						<option value="Pamplona">Pamplona</option>
						<option value="Salamanca">Salamanca</option>
						<option value="San Sebastián">San Sebasti&aacute;n</option>
						<option value="Santa Cruz de Tenerife">Santa Cruz de Tenerife</option>
						<option value="Santander">Santander</option>
						<option value="Sevilla">Sevilla</option>
						<option value="Valencia">Valencia</option>
						<option value="Valladolid">Valladolid</option>
						<option value="Vigo">Vigo</option>
						<option value="Vitoria">Vitoria</option>
						<option value="Zaragoza">Zaragoza</option>
					</select>
				</div>
				<br />
				<!--ciutats desti -->
				<div class="dText">Desti:</div>
				<div>
					<select id="desti" name="desti" class="sCiutat">
						<option value="Albacete">Albacete</option>
						<option value="Alicante">Alicante</option>
						<option value="Almería">Almer&iacute;a</option>
						<option value="Badajoz">Badajoz</option>
						<option value="Barcelona">Barcelona</option>
						<option value="Bilbao">Bilbao</option>
						<option value="Burgos">Burgos</option>
						<option value="Cordoba">C&oacute;rdoba</option>
						<option value="Girona">Girona</option>
						<option value="Granada">Granada</option>
						<option value="Huesca">Huesca</option>
						<option value="Ibiza">Ibiza</option>
						<option value="La Coruña">La Coruña</option>
						<option value="Las Palmas de Gran Canaria">Las Palmas de Gran Canaria</option>
						<option value="León>Le&oacute;n/option>
						<option value="Logroño>Logroño</option>
						<option value="Madrid">Madrid</option>
						<option value="Mahón">Mah&oacute;n</option>
						<option value="Murcia">Murcia</option>
						<option value="Málaga">M&aacute;laga</option>
						<option value="Oviedo">Oviedo</option>
						<option value="Palma de Mallorca">Palma de Mallorca</option>
						<option value="Pamplona">Pamplona</option>
						<option value="Salamanca">Salamanca</option>
						<option value="San Sebastián">San Sebasti&aacute;n</option>
						<option value="Santa Cruz de Tenerife">Santa Cruz de Tenerife</option>
						<option value="Santander">Santander</option>
						<option value="Sevilla">Sevilla</option>
						<option value="Valencia">Valencia</option>
						<option value="Valladolid">Valladolid</option>
						<option value="Vigo">Vigo</option>
						<option value="Vitoria">Vitoria</option>
						<option value="Zaragoza">Zaragoza</option>
					</select>
				</div>
				</div>
			</fieldset>
			<br />
			<%
				SimpleDateFormat sDf = new SimpleDateFormat("MMMM-yyyy",new Locale("ca","ES"));
				String dia;
				Calendar cInici, cFi;
			%>
			<fieldset id="fDates"><legend>Dates</legend>
				<div>
					<div class="dText">Inici:</div>
					<select id="dia_inici" name="dia_inici">
						<%
							for (int i=1; i<=31; i++) {
								out.write("<option value=\""+i+"\">"+(i<10?"0":"")+i+"</option>");
							}
						%>
					</select>
					<select id="mes_inici" name="mes_inici">
						<%
							cInici = Calendar.getInstance();
							cFi = Calendar.getInstance();
							cFi.add(Calendar.MONTH, 18);
							while (cFi.after(cInici)) {
								out.write("<option value=\"" + cInici.get(Calendar.MONTH) + "-" + cInici.get(Calendar.YEAR) + "\">" + sDf.format(cInici.getTime()) + "</option>");
								cInici.add(Calendar.MONTH, 1);
							}
						%>					
					</select>
					</div>
					<br />
				<div>
				<div class="dText">Fi:</div>
					<select id="dia_fi" name="dia_fi">
						<%
							for (int i=1; i<=31; i++) {
								out.write("<option value=\""+i+"\">"+(i<10?"0":"")+i+"</option>");
							}
						%>					
					</select>
					<select id="mes_fi" name="mes_fi" class="mes">
						<%
							cInici = Calendar.getInstance();
							cFi = Calendar.getInstance();
							cFi.add(Calendar.MONTH, 19);
							while (cFi.after(cInici)) {
								out.write("<option value=\"" + cInici.get(Calendar.MONTH) + "-" + cInici.get(Calendar.YEAR) + "\">" + sDf.format(cInici.getTime()) + "</option>");
								cInici.add(Calendar.MONTH, 1);
							}
						%>
					</select>
				</div>
			</fieldset>
			<br />
			<fieldset id="fHabitacions"><legend>Habitacions</legend>
				<div>
				<div class="dText">Nombre d'habitacions:</div>
				<select id="habitacions" name="habitacions" onchange="javascript:pintarHabitacions();">
					<option value="1">1</option>
					<option value="2">2</option>
					<option value="3">3</option>
					<option value="4">4</option>
					<option value="5">5</option>
				</select>
				</div>
				<div id="dHabitacions"></div>
			</fieldset>
			<div id="dSubmit"><input value="Cercar preus" type="submit"></input></div>
		</form>
		<script type="text/javascript">
			function pintarEdats(habitacio) {
				var nombrePersones = document.getElementById("paxHab_"+habitacio).value;
				var dEdats = document.getElementById("dEdats_"+habitacio);
				var html = "";
				html += 	"<div class=\"dText\">Edats nins habitaci&oacute <span>(No s'indica l'edat dels adults)</span></div>";
				for (var i=0; i<nombrePersones; i++) {
					html += "<select id =\"paxHab_" + habitacio + "_" + i + "\" name=\"paxHab_" + habitacio + "_" + i + "\">";
					html += "<option value=\"\">--</option>";
					for (var j=0; j<18; j++) {
						html += "<option value=\"" + j + "\">" + j + "</option>";
					}
					html += "</select>";
				}
				
				dEdats.innerHTML = html;
			}
			function pintarHabitacions() {
				var nombreHabitacions = document.getElementById("habitacions").value;
				var html = "";
				for (var i=0; i<nombreHabitacions; i++){
					html += "<div class=\"dHabitacio\" id=\"dHabitacio_" + i + "\">";
					html += 	"<div class=\"dText\">Nombre persones habitaci&oacute;" + (i+1) + ":</div>";
					html += 	"<select id=\"paxHab_" + i + "\" name=\"paxHab_" + i + "\" onchange=\"javascript:pintarEdats(" + i + ");\">";
					for (var j=1; j<=4; j++) {
						html += "<option name=''"+(j==1?" selected='selected' ":"")+"value='" + j + "'>" + j + "</option>";
					}
					html += 	"</select>";
					html += "</div>";
					html += "<div class=\"dEdats\" id=\"dEdats_" + i + "\"></div>";
				}
				var dHabitacions = document.getElementById("dHabitacions");
				dHabitacions.innerHTML = html;
				for (var i=0; i<nombreHabitacions; i++){
					pintarEdats(i);
				}
			}
		</script>
		<script type="text/javascript">
			<% 
			try {
				String origen		= (String) request.getAttribute("origen");
				String desti  		= (String) request.getAttribute("desti");
				String habitacions  = (String) request.getAttribute("habitacions");
				String dia_inici  	= (String) request.getAttribute("dia_inici");
				String mes_inici  	= (String) request.getAttribute("mes_inici");
				String dia_fi  	= (String) request.getAttribute("dia_fi");
				String mes_fi  	= (String) request.getAttribute("mes_fi");
			%>

			<%-- PRESELECCIO CIUTAT ORIGEN --%>
			<% if (origen!=null) { %> 
				document.getElementById("origen").value="<%=origen%>";
			<% } else { %>
				document.getElementById("origen").value="Barcelona";
			<% } %>
			
			<%-- PRESELECCIO CIUTAT DESTI --%>
			<% if (desti!=null) { %>
				document.getElementById("desti").value="<%=desti%>";
			<% } else { %>
				document.getElementById("desti").value="Madrid";
			<% } %>

			<%-- PRESELECCIO DATA INICI --%>
			<% if (dia_inici!=null) { %> 
				document.getElementById("dia_inici").value="<%=dia_inici%>";
				<% if (mes_inici!=null) { %> 
					document.getElementById("mes_inici").value="<%=mes_inici%>";
				<% } %>
			<% } else {
				Calendar cSelectInici = Calendar.getInstance();
				cSelectInici.add(Calendar.DAY_OF_MONTH,1); 
			%>
				document.getElementById("dia_inici").value="<%=cSelectInici.get(Calendar.DAY_OF_MONTH)%>";
				document.getElementById("mes_inici").value="<%=cSelectInici.get(Calendar.MONTH)%>-<%=cSelectInici.get(Calendar.YEAR)%>" ;
			<% } %>

			<%-- PRESELECCIO DATA FI --%>
			<% if (dia_fi!=null) { %> 
				document.getElementById("dia_fi").value="<%=dia_fi%>";
				<% if (mes_fi!=null) { %> 
					document.getElementById("mes_fi").value="<%=mes_fi%>";
				<% } %>
			<% } else {
				Calendar cSelectFi = Calendar.getInstance();
				cSelectFi.add(Calendar.DAY_OF_MONTH,2);
			%>
				document.getElementById("dia_fi").value="<%=cSelectFi.get(Calendar.DAY_OF_MONTH)%>";
				document.getElementById("mes_fi").value="<%=cSelectFi.get(Calendar.MONTH)%>-<%=cSelectFi.get(Calendar.YEAR)%>";
			<% } %>

			<%-- PRESELECCIO HABITACIONS --%>
			<% if (habitacions!=null) { %> 
				document.getElementById("habitacions").value="<%=habitacions%>";
			<% } %>

			pintarHabitacions();
			
			<%
				if (habitacions!=null) {
					int numHabitacions = Integer.parseInt(habitacions);
					if (numHabitacions >= 1 && numHabitacions <= 5) {
						for (int i=0; i<numHabitacions; i++) {
							String numPaxHabitacio = (String) request.getAttribute("paxHab_" + i);
							if (numPaxHabitacio!=null) {
							%>
								document.getElementById("paxHab_<%=i%>").value = "<%=numPaxHabitacio%>";
								pintarEdats(<%=i%>);
							<%
								int iNumPaxHabitacio = Integer.parseInt(numPaxHabitacio);
								for (int j=0; j<iNumPaxHabitacio; j++) {
									String edat = (String) request.getAttribute("paxHab_"+i+"_"+j);
									if (edat!=null) {
									%>
									document.getElementById("paxHab_<%=i%>_<%=j%>").value = "<%=edat%>";	
									<%
									}
								}
							}
						}
					}
				}
			}
			catch (Exception e) {}
			%>

		</script>
	</body>
</html>