package pfc.bean.flight;
import javax.xml.bind.annotation.XmlType;

import pfc.BeanPeticioConsulta;

@XmlType(propOrder = {"nomOperador","formatPreu","preu","HTML"})
/** pfc.bean.flight.FlightBean
 * 
 * Classe pare i abstracta referent a l'item resultat d'un operador de vols
 */
public abstract class FlightBean extends pfc.bean.ItemBean {

	public FlightBean(BeanPeticioConsulta beanPeticioConsulta){
		super(beanPeticioConsulta);
	}
	public FlightBean() {}

	public String getKey() {
		return "";
	}

	public String toDebugHTML() {
		StringBuffer sb = new StringBuffer();
		sb.append("<span style='font-weight:bold;'>"+getNomOperador()+"</span><br />\n");
		sb.append("<span>PREU: '" + this.getPreu() + "'</span><br />\n");
		sb.append(getDebugHTML());
		return sb.toString();
	}

}