package pfc.bean.hotel;

import javax.xml.bind.annotation.XmlType;

import pfc.BeanPeticioConsulta;

@XmlType(propOrder = {"nomOperador","nomHotel","formatPreu","preu","HTML"})
/** pfc.bean.hotel.HotelBean
 * 
 * Classe pare i abstracta referent a l'item resultat d'un operador d'hotels
 */
public abstract class HotelBean extends pfc.bean.ItemBean {

	protected String preu = null;
	protected String nomHotel = null;

	public HotelBean(BeanPeticioConsulta beanPeticioConsulta){
		super(beanPeticioConsulta);
	}
	public HotelBean() {}

	public String getKey() {
		return nomHotel.toUpperCase();
	}

	public String toDebugHTML() {
		StringBuffer sb = new StringBuffer();
		sb.append("<span style='font-weight:bold;'>"+getNomOperador()+"</span><br />\n");
		sb.append("<span>" + this.getNomHotel() + "</span><br />\n");
		sb.append("<span>PREU: '" + this.getPreu() + "'</span><br />\n");
		sb.append("<span>Preu: '" + this.preu + "'</span><br />\n");
		sb.append(getDebugHTML());
		return sb.toString();
	}

	public void setPreu(String preu) {
		this.preu = preu;
	}
	public String getNomHotel() {
		return nomHotel;
	}
	public void setNomHotel(String nomHotel) {
		this.nomHotel = nomHotel.trim();
	}

}