package pfc.bean.hotel;

import pfc.BeanPeticioConsulta;

/** pfc.bean.hotel.HotelesdotcomBean
 * 
 * Item resultat de l'operador hoteles.com
 */
public class HotelesdotcomBean extends HotelBean {

	//Zona (obligatori)
	private String zona = null;
	//Categoria (opcional)
	private String categoria = null;

	public HotelesdotcomBean(BeanPeticioConsulta beanPeticioConsulta) {
		super(beanPeticioConsulta);
	}

	public float getPreu() {
		return Float.valueOf(this.preu.replace(",",".")); 
	}

	protected String getDebugHTML() {
		StringBuffer sb = new StringBuffer();
		sb.append("<span>Zona: '" + this.zona + "'</span><br />");
		sb.append("<span>Categoria: '" + this.categoria + "'</span><br />");
		return sb.toString();
	}

	public String getHTML() {
		StringBuffer sb = new StringBuffer();
		sb.append("<div><span class=\"s0\">Zona</span><span>" + this.zona + "</span></div>");
		if (this.categoria!=null) sb.append("<div><span class=\"s0\">Categoria</span><span>" + this.categoria + "</span></div>");
		return sb.toString();
	}

	public String getNomOperador() {
		return "Hoteles.com";
	}
	public void setZona(String zona) {
		this.zona = zona;
	}
	public void setCategoria(String categoria) {
		this.categoria = categoria;
	}
}