package pfc.conf;

/**
 * Llistat de ciutats configurades
 *
 */
public class Ciutats {

	//Andalucia
	public final static String CIUTAT_SEVILLA = "Sevilla";
	public final static String CIUTAT_ALMERIA = "Almera";
	public final static String CIUTAT_CORDOBA = "Crdoba";
	public final static String CIUTAT_GRANADA = "Granada";
	public final static String CIUTAT_MALAGA  = "Mlaga";
	//Aragon
	public final static String CIUTAT_ZARAGOZA = "Zaragoza";
	public final static String CIUTAT_HUESCA   = "Huesca";
	//Asturias
	public final static String CIUTAT_OVIEDO = "Oviedo";
	//Balears
	public final static String CIUTAT_PALMA   = "Palma de Mallorca";
	public final static String CIUTAT_IBIZA   = "Ibiza";
	public final static String CIUTAT_MENORCA = "Mah";
	//Canarias
	public final static String CIUTAT_LASPALMAS = "Las Palmas de Gran Canaria";
	public final static String CIUTAT_TENERIFE  = "Santa Cruz de Tenerife";
	//Cantabria
	public final static String CIUTAT_SANTANDER = "Santander";
	//Castilla la mancha
	public final static String CIUTAT_ALBACETE = "Albacete";
	//Castilla y leon
	public final static String CIUTAT_BURGOS     = "Burgos";
	public final static String CIUTAT_LEON       = "Len";
	public final static String CIUTAT_SALAMANCA  = "Salamanca";
	public final static String CIUTAT_VALLADOLID = "Valladolid";
	//Catalunya
	public final static String CIUTAT_BARCELONA = "Barcelona";
	public final static String CIUTAT_GIRONA    = "Girona";
	//Comunitat Valenciana
	public final static String CIUTAT_VALENCIA = "Valencia";
	public final static String CIUTAT_ALICANTE = "Alicante";
	//Extremadura
	public final static String CIUTAT_BADAJOZ = "Badajoz";
	//Galicia
	public final static String CIUTAT_CORUNYA = "La Corua";
	public final static String CIUTAT_VIGO	  = "Vigo";
	//La Rioja
	public final static String CIUTAT_LOGRONO = "Logroo";
	//Madrid
	public final static String CIUTAT_MADRID = "Madrid";
	//Murcia
	public final static String CIUTAT_MURCIA = "Murcia";	
	//Navarra
	public final static String CIUTAT_PAMPLONA = "Pamplona";
	//Pais Basc
	public final static String CIUTAT_VITORIA      = "Vitoria";
	public final static String CIUTAT_SANSEBASTIAN = "San Sebastin";
	public final static String CIUTAT_BILBAO       = "Bilbao";

	public static String getAeroport(String ciutat) {
		//Andalucia
		if (ciutat.equals(Ciutats.CIUTAT_SEVILLA))		return "SVQ";
		if (ciutat.equals(Ciutats.CIUTAT_ALMERIA))		return "LEI";
		if (ciutat.equals(Ciutats.CIUTAT_CORDOBA))		return "ODB";
		if (ciutat.equals(Ciutats.CIUTAT_GRANADA))		return "GRX";
		if (ciutat.equals(Ciutats.CIUTAT_MALAGA))		return "AGP";
		//Aragon
		if (ciutat.equals(Ciutats.CIUTAT_ZARAGOZA)) 	return "ZAZ";
		if (ciutat.equals(Ciutats.CIUTAT_HUESCA))		return "HSK";
		//Asturias
		if (ciutat.equals(Ciutats.CIUTAT_OVIEDO))		return "OVD";
		if (ciutat.equals(Ciutats.CIUTAT_PALMA)) 		return "PMI";
		//Baleares
		if (ciutat.equals(Ciutats.CIUTAT_IBIZA)) 		return "IBZ";
		if (ciutat.equals(Ciutats.CIUTAT_MENORCA))		return "MAH";
		//Canarias
		if (ciutat.equals(Ciutats.CIUTAT_LASPALMAS))	return "LPA";
		if (ciutat.equals(Ciutats.CIUTAT_TENERIFE)) 	return "TCI "; //Tambe s'accepta TFN (Aeroport nort de Tenerife)
		//Cantabria
		if (ciutat.equals(Ciutats.CIUTAT_SANTANDER)) 	return "SDR";
		//Castilla La Mancha
		if (ciutat.equals(Ciutats.CIUTAT_ALBACETE)) 	return "ABC";
		//Castilla y Leon
		if (ciutat.equals(Ciutats.CIUTAT_BURGOS)) 		return "RGS";
		if (ciutat.equals(Ciutats.CIUTAT_LEON)) 		return "LEN";
		if (ciutat.equals(Ciutats.CIUTAT_SALAMANCA))	return "SLM";
		if (ciutat.equals(Ciutats.CIUTAT_VALLADOLID)) 	return "VLL";
		//Catalunya
		if (ciutat.equals(Ciutats.CIUTAT_BARCELONA)) 	return "BCN";
		if (ciutat.equals(Ciutats.CIUTAT_GIRONA)) 		return "GRO";
		//Comunitat Valenciana
		if (ciutat.equals(Ciutats.CIUTAT_VALENCIA))		return "VLC";
		if (ciutat.equals(Ciutats.CIUTAT_ALICANTE)) 	return "ALC";
		//Extremadura
		if (ciutat.equals(Ciutats.CIUTAT_BADAJOZ)) 		return "BJZ";
		//Galicia
		if (ciutat.equals(Ciutats.CIUTAT_CORUNYA)) 		return "LCG";
		if (ciutat.equals(Ciutats.CIUTAT_VIGO)) 		return "VGO";
		//La Rioja
		if (ciutat.equals(Ciutats.CIUTAT_LOGRONO)) 		return "RJL";
		//Madrid
		if (ciutat.equals(Ciutats.CIUTAT_MADRID)) 		return "MAD";
		//Murcia
		if (ciutat.equals(Ciutats.CIUTAT_MURCIA)) 		return "MJV";
		//Navarra
		if (ciutat.equals(Ciutats.CIUTAT_PAMPLONA)) 	return "PNA";
		//Pais Basc
		if (ciutat.equals(Ciutats.CIUTAT_VITORIA)) 		return "VIT";
		if (ciutat.equals(Ciutats.CIUTAT_SANSEBASTIAN)) return "EAS";
		if (ciutat.equals(Ciutats.CIUTAT_BILBAO)) 		return "BIO";
		return null;
	}
}