package pfc.conf;

import java.text.DecimalFormat;

/** pfc.conf.Util
 * Classe amb utilitats generals
 */
public class Util {

	/*
	Per a donar format als nombres reals
		Nombres amb dos decimals
		Caracter separador de decimals segons la configuracio regional per defecte de la maquina virtual)
	*/
	private static DecimalFormat df = new DecimalFormat("0.00");

	/** Codifica una cadena que es vol transmetre a una connexio http
	 * @param s Cadena que es vol codificar
	 * @return Cadena codificada
	 */
	public static String encode(String s) {
		if (s!=null) return s.trim().replaceAll(" ","+");
		else return null;
	}

	/** Dona el format per defecte dels preus a un nombre real 
	 * @param f preu
	 * @return preu amb format
	 */
	public static String formatPreu(float f) {
		return df.format(f);
	}
}